> For the complete documentation index, see [llms.txt](https://docs.harmony.one/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.harmony.one/home/developers/deploying-on-harmony/using-remix/ethereum-remix.md).

# Ethereum Remix

Go to <https://remix.ethereum.org/>

### Writing your smart contract

![1. Create a "New File" under contracts with name Counter.sol](/files/-Mc1lM9pFoGLpbgiCUbQ)

Copy and paste the code below to Counter.sol file

```
pragma solidity >=0.4.22 <0.8.0;

contract Counter {
    uint256 private count = 0;
    uint256 moneyStored = 0;

    function incrementCounter() public {
        count += 1;
    }
    function decrementCounter() public {
        count -= 1;
    }

    function addMoney() payable public {
        moneyStored += msg.value;
    }

    function getCount() public view returns (uint256) {
        return count;
    }

    function getMoneyStored() public view returns (uint256){
        return moneyStored;
    }
}
```

### Compiling

![2. Compile Counter.sol](/files/-Mc1monqfFbvnrJZ0gZn)

### Deploying

If you want to deploy the contract to a live network like Harmony Testnet or Mainnet, configure your metamask by adding the required Harmony networks using this [guide](https://docs.harmony.one/home/network/wallets/browser-extensions-wallets/metamask-wallet).

![3. Deploy the compiler contract. Select Injected Web3 for deploying to live network like Harmony testnet.](/files/-Mc1mxYZoFl0RYzg_ZZm)

![4. Confirm the deploy transaction in metamask and you can find the deployed contract address.](/files/-Mc1nOKB3yOwJ_dCktu9)

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.harmony.one/home/developers/deploying-on-harmony/using-remix/ethereum-remix.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
